<!DOCTYPE html>
<html>
<head>
	<title>Desafio Path Finding</title>
	<script src="js/jquery.js"></script>
	<script type="text/javascript">
		$(document).ready(function(){
			$("#btn").click(function(){
				var filas = $("#filas").val();
				var cols = $("#cols").val();
				var tabla = "<table>";
				var cont =0;
				var st = Array();
				var fn = Array();
				var obst = Array();
				for(var f =0; f< filas; f++){
					tabla += "<tr>";
					for(var c =0; c < cols; c++){
						tabla += "<td id='"+f+"_"+c+"' class='celda' style='background-color:lightgrey'>&nbsp&nbsp&nbsp&nbsp&nbsp</td>";
					}
					tabla += "</tr>";
				}
				tabla += "</table>";
				tabla += "<input type='button' value='Buscar Camino' id='buscar_camino'>";
				$("#tabla").html(tabla);
				$(".celda").click(function(){
					switch(cont){
						case 0:
							st[0] = $(this).attr("id").split("_")[0];
							st[1] = $(this).attr("id").split("_")[1];
							$(this).attr("style","background-color:green");
							cont++;
							break;
						case 1:
							fn[0] = $(this).attr("id").split("_")[0];
							fn[1] = $(this).attr("id").split("_")[1];
							$(this).attr("style","background-color:blue");
							cont++;
							break;
						/*case 2:
							var tmp = array();
							tmp[0] = $(this).attr("id").split("_")[0];
							tmp[1] = $(this).attr("id").split("_")[1];
							obst[0] = tmp;
							$(this).attr("style","background-color:black");
							cont++;
							break;
							*/
						default:
							var tmp = Array();
							tmp[0] = $(this).attr("id").split("_")[0];
							tmp[1] = $(this).attr("id").split("_")[1];
							obst.push(tmp);
							$(this).attr("style","background-color:black");
							cont++;
							break;
					}
				});
				$("#buscar_camino").click(function(){
					if(st.length > 0){
						if(fn.length > 0){
							$(location).attr("href","intentob.php?st="+btoa(JSON.stringify(st))+"&fn="+btoa(JSON.stringify(fn))+"&obst="+btoa(JSON.stringify(obst))+"&f="+filas+"&c="+cols);
							//window.location.replace("127.0.0.1/desafio_path_finding/intentob.php?st="+JSON.stringify(st)+"&fn="+JSON.stringify(fn)+"&obst="+JSON.stringify(obst));
						}else{
							$("#error").html("<span style='color:red;'>Elija el punto 'B' </span>");
							$("#buscar_camino").unbind("click");
						}
					}else{
						$("#error").html("<span style='color:red;'>Elija el punto 'A' </span>");
						$("#buscar_camino").unbind("click");
					}					
				});
			});				
		});
	</script>
</head>
<body>
	Cantidad Filas:
<input type="number" id="filas">
	Cantidad Columnas:
<input type="number" id="cols">
<input type="button" id="btn" value="Crear">
<div id="error"></div>
<div id="tabla"></div>
<div>
	Instrucciones: <br>
	&nbsp 1. Ingrese la cantidad de filas y columnas del tablero <br>
	&nbsp 2. Presione "Crear" <br>
	&nbsp 3. Haga click en la casilla que desea seleccionar como punto 'A' <br>
	&nbsp 4. Haga click en la casilla que desea seleccionar como punto 'B' <br>
	&nbsp 5. Haga click en todas las casillas que desea marcar como obstaculos <br>
	&nbsp 6. Presione "Buscar Camino" <br>
</div>
</body>
</html>